function CreateBombMonch()
	MonchBriefing = {}
	MonchBriefing.finished = ConvertAbbey
	
	local page = 0
	
	page = page + 1
	
	MonchBriefing[page] = {}
	MonchBriefing[page].title = "Mönch des Ordens"
	MonchBriefing[page].text = "Mein König! Der Orden hat erfolgreich in der hiesigen Abtei einen Vorposten eingerichtet. @cr Wir sind bereit, eure schwere Kavallerie in der Nutzung unserer Reiterbomben zu unterweisen. @cr Endsendet Hauptleute eurer berittenen Streitaxtkämpfer zu uns, erstattet uns das Material für den Sprengstoff und wir werden eure Männer zu Bomben-Reitern machen!"
	MonchBriefing[page].position = GetPosition("MonchKonverter")
	
	
	MonchNPC = {}
	MonchNPC.name = "MonchKonverter"
	MonchNPC.briefing = MonchBriefing
	
	CreateNPC(MonchNPC)
end

function ConvertAbbey()
	ChangePlayer("BombKonverter",1)
end

function ConvertReiter()
	if InterfaceTool_HasPlayerEnoughResources_Feedback( {[ResourceType.Sulfur] = 2000, [ResourceType.Gold] = 3000, [ResourceType.Iron] = 1500} ) == 1 then
		do
			local counter = 0
			for k,v in pairs(bombriders) do
				counter = counter + 1
				if counter >= 2 then
					return
				end
			end
		end
		local _convertPos = GetPosition("bombriderEntrance")
		local _,_ReiterID = Logic.GetPlayerEntitiesInArea(1, Entities.PU_LeaderHeavyCavalry2, _convertPos.X, _convertPos.Y, 600, 1, 2)
		if IsValid(_ReiterID) and not bombriders[_ReiterID] then
			local _soldiers = {Logic.GetSoldiersAttachedToLeader(_ReiterID)}
			for i = 2, _soldiers[1]+1, 1 do
				Logic.DestroyEntity(_soldiers[i])
			end
			--Logic.SetSpeedFactor(_ReiterID, 1.5)
			Logic.SetEntityInvulnerabilityFlag(_ReiterID, 1)
			bombriders[_ReiterID] = 40
			bobmersHP[_ReiterID] = 500
			AddGold(-3000)
			AddIron(-1500)
			AddSulfur(-2000)
			--Add Sound
			Sound.PlayGUISound( Sounds.OnKlick_PB_Monastery2 , 64 )
		end
	end
end